"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const utils_1 = require("../../utils");
const poetry_1 = require("../../poetry");
function runExecutor(options, context) {
    var _a;
    return tslib_1.__awaiter(this, void 0, void 0, function* () {
        console.log('Executor ran for format', options);
        const check = (_a = options.check) !== null && _a !== void 0 ? _a : false;
        const projectRoot = utils_1.getProjectRoot(context);
        try {
            const args = ['run', 'black', 'src'];
            if (check) {
                args.push('--check');
            }
            const success = poetry_1.executePoetryCommand(projectRoot, ...args);
            if (success) {
                return { success: true };
            }
        }
        catch (e) {
            console.log('Poetry execute error', e);
        }
        return { success: false };
    });
}
exports.default = runExecutor;
//# sourceMappingURL=executor.js.map