"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../../utils");
const poetry_1 = require("../../poetry");
function runExecutor(options, context) {
    console.log('Executor ran for lint', options);
    const projectRoot = utils_1.getProjectRoot(context);
    const workspaceRoot = utils_1.getWorkspaceRoot(context);
    try {
        const command = poetry_1.runPoetryCommand(projectRoot, 'run', 'flake8', `--config=${workspaceRoot}/.flake8`, 'src');
        if (!command) {
            return { success: false };
        }
        command();
        return { success: true };
    }
    catch (e) {
        return { success: false };
    }
}
exports.default = runExecutor;
//# sourceMappingURL=executor.js.map