"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const utils_1 = require("../../utils");
const poetry_1 = require("../../poetry");
function runExecutor(options, context) {
    return tslib_1.__asyncGenerator(this, arguments, function* runExecutor_1() {
        console.log('Executor ran for pytest', options);
        const projectRoot = utils_1.getProjectRoot(context);
        try {
            const checkStatus = (data) => {
                if (/============ \d+ passed/.test(data)) {
                    return poetry_1.CmdStatus.Done;
                }
                else if (/============ \d+ failed/.test(data) ||
                    /============ \d+ errors? in/.test(data)) {
                    return poetry_1.CmdStatus.ErrorAndDone;
                }
                return poetry_1.CmdStatus.Continue;
            };
            const child = yield tslib_1.__await(poetry_1.runPoetryCommandAsync(projectRoot, ['run', 'pytest'], checkStatus));
            if (!child) {
                return yield tslib_1.__await({ success: false });
            }
            yield yield tslib_1.__await({ success: true });
            return yield tslib_1.__await(poetry_1.waitForCommand(child));
        }
        catch (_e) {
            return yield tslib_1.__await({ success: false });
        }
    });
}
exports.default = runExecutor;
//# sourceMappingURL=executor.js.map